/*********************************************
        ComCtrl.h
        Com port send/get/timeout
        Kenny Ng
        12 Nov 98
**********************************************/

#include "datatype.h"
#include <stddef.h>

void PortSendChar(UBYTE);
BOOLEAN PortSendBuffer(UBYTE*, UWORD);
BOOLEAN PortWaitForChar(UBYTE, UBYTE, UBYTE, BOOLEAN);
void PortWaitForChar1(UBYTE);
BOOLEAN PortWaitForLength(UWORD);
void PortWaitForLength1(UBYTE);

extern BOOLEAN bcomtimeout;
extern BYTE com_wait_return;

#define WAIT_COM_TIME_OUT       2000
